/**
 * User helper
 *
 * @author Pierre HUBERT
 */

#pragma once

#include <map>
#include <vector>

#include <entities/user.h>


class UserHelper
{
public:
    UserHelper();

    static User GetSingle(int id);
    static std::map<int, User> getMultiple(std::vector<int> ids);

private:
    static std::map<int, User> mCache;
};
